<?
function check_mail_to_import_personal($options=array())
    {
        // ищем последний необработанный файл-вложение из почты
      ?><h2>Импорт CSV из почты</h2><?
      echo 'Ищем последний необработанный файл-вложение из почты<br>' ;
      $last_id=execSQL_value('select max(t1.pkey) 
                      from obj_site_inmail_attach t1 
                      left join obj_site_inmail t2 on t2.pkey=t1.parent
                      where t2.sender="'.$GLOBALS['LS_magnit_import_personal_from_email_sender'].'" and (t2.obj_name like "%'.$GLOBALS['LS_magnit_import_personal_from_email_theme_full'].'%" or t2.obj_name like "%'.$GLOBALS['LS_magnit_import_personal_from_email_theme_update'].'%")  and t1.status!=2') ;
      if ($last_id)
      {   echo 'Вложение найдено, id='.$last_id.'<br>' ;
          echo 'Получаем данные по письму<br>' ;
          $rec=execSQL_van('select t2.pkey as mail_id,t2.send_time,t2.sender,t2.obj_name,t1.saved_fname 
                      from obj_site_inmail_attach t1 
                      left join obj_site_inmail t2 on t2.pkey=t1.parent
                      where t1.pkey='.$last_id) ;
          $arr[]=$rec ;
          print_2x_arr($arr) ;
      }
      else echo 'Все вложения обработаны<br>' ;
      if ($last_id and $rec['mail_id'])
        {   //делаем резерную копию таблицы персонала
            //create_res_copy_db_table(PERSONAL()->tkey_personal) ;
            // импортируем данные по пропускам
            if ($GLOBALS['LS_magnit_import_personal_from_email'] or $options['check']) $this->import_propusk_from_csv_file($rec['saved_fname']) ;
            // помечаем письмо
            execSQL_update('update obj_site_inmail_attach set status=2 where pkey='.$last_id) ;
            // необхдимо пропустить все письма, если был интервал в обработке, последнее уже обрабатано
            //execSQL_update('update obj_site_inmail_attach set status=2 where type="OCTET-STREAM"') ;
        }
    }
function check_mail_to_import_csv($options=array())
{
    // ищем последний необработанный файл-вложение из почты
  ?><h2>Импорт CSV из почты</h2><?
  echo 'Ищем последний необработанный файл-вложение из почты<br>' ;
  $last_id=execSQL_value('select max(t1.pkey) 
                  from obj_site_inmail_attach t1 
                  left join obj_site_inmail t2 on t2.pkey=t1.parent
                  where t2.sender="svc_monitoring_isb@magnit.ru" and t2.obj_name like "%СКУД Nedap%" and t1.type="OCTET-STREAM" and t1.status!=2') ;
  if ($last_id)
  {   echo 'Вложение найдено, id='.$last_id.'<br>' ;
      echo 'Получаем данные по письму<br>' ;
      $rec=execSQL_van('select t2.pkey as mail_id,t2.send_time,t2.sender,t2.obj_name,t1.saved_fname 
                  from obj_site_inmail_attach t1 
                  left join obj_site_inmail t2 on t2.pkey=t1.parent
                  where t1.pkey='.$last_id) ;
      $arr[]=$rec ;
      print_2x_arr($arr) ;
  }
  else echo 'Все вложения обработаны<br>' ;
  if ($last_id and $rec['mail_id'])
    {   //делаем резерную копию таблицы персонала
        //create_res_copy_db_table(PERSONAL()->tkey_personal) ;
        // импортируем данные по пропускам
        if ($GLOBALS['LS_magnit_import_pass_from_csv_email'] or $options['check']) $this->import_propusk_from_csv_file($rec['saved_fname']) ;
        // помечаем письмо
        execSQL_update('update obj_site_inmail_attach set status=2 where pkey='.$last_id) ;
        // необхдимо пропустить все письма, если был интервал в обработке, последнее уже обрабатано
        //execSQL_update('update obj_site_inmail_attach set status=2 where type="OCTET-STREAM"') ;
    }
}

?>